import { axios } from '@/utils/request'

// 列表
export const offPartnerGoldLogList = (params) => {
  const url = `offPartnerGoldLog/queryGoldLog/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 总计
export const getOffPartnerGoldLogTotal = (params) => {
  const url = `offPartnerGoldLog/sumGoldLog`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 商户名称
export const sellerList = params => {
  return axios.request({
    url: `offPartnerGoldLog/getAllPartner`,
    method: 'get',
    data: {}
  })
}

// 导出
export const exportOffPartnerGoldLog = (params) => {
  return axios.request({
    url: 'offPartnerGoldLog/exportGoldLog',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
