import { axios } from '@/utils/request'
// 商户乐豆统计列表查询
export const getOffPartnerGoldLog = (params) => {
  const url = `/offPartnerGoldLog/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 商户乐豆总计
export const getQueryStatistic = (params) => {
  const url = `/offPartnerGoldLog/queryStatistic`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 商户乐豆统计导出接口
export const exportOffPartnerGoldLog = (params) => {
  return axios.request({
    url: '/offPartnerGoldLog/exportGoldLogByDay',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
